{id}.json: Get work by ID

API: openlibrary.org:open-library-api
Endpoint: /works/{id}.json
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 543ms

Description

Retrieve detailed information about a literary work (a conceptual entity that can have multiple editions).

Parameters (1)

id (string, path, required)

Work ID (e.g., OL45804W)

Examples (2)

Get work by ID openapi-spec
curl 'https://openlibrary.org/works/OL27448W.json'
import requests

resp = requests.get("https://openlibrary.org/works/OL27448W.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openlibrary")
result = api.fetch("works/{id}.json")

for item in result:
    print(item)
const resp = await fetch("https://openlibrary.org/works/OL27448W.json");
const data = await resp.json();
Get work by ID openapi-spec
curl 'https://openlibrary.org/works/OL45804W.json'
import requests

resp = requests.get("https://openlibrary.org/works/OL45804W.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openlibrary")
result = api.fetch("works/{id}.json")

for item in result:
    print(item)
const resp = await fetch("https://openlibrary.org/works/OL45804W.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:17:13.772298 200 543ms
2026-04-16 02:02:55.323411 200 579ms
2026-04-15 04:05:12.638725 200 690ms
2026-04-15 00:34:54.912448 200 596ms
2026-04-14 04:02:28.077225 200 907ms
2026-04-14 01:25:42.474486 200 583ms
2026-04-12 15:34:29.173374 200 1677ms
2026-04-12 15:03:47.332568 200 955ms
2026-04-10 04:23:37.694804 200 1044ms
2026-04-10 03:07:33.209632 200 574ms
2026-04-09 01:16:49.970245 200 598ms
2026-04-09 00:30:08.894048 200 634ms